**`Bisrat Felke`[NAME]** -NL- Senior Android Developer -NL- Phone: **`07535840966`[PHONES_PHONE]** | Email: **`Bisratfelks@gmail.com`[EMAILS_EMAIL]** -NL- **`Experience`[WORK_EXPERIENCE_HEADING]** -NL- **`Sr. Android Developer`[EMPLOYER_ROLE]** Tickr Ltd April 19 – Present -NL- https://play.google.com/store/apps/details?id=uk.co.tickr.android&hl=en_GB -NL-  Architecture: Implemented new features using MVVM with Architecture Components Databinding and -NL- Navigation Controller -NL-  Kotlin: Entire codebase written in Kotlin -NL-  Network: Used RxJava2 with Retrofit for asynchronous consumption of Api data and applied map,flatmap -NL- and zip operators to transform data -NL-  Testing: Wrote unit tests using Junit, Mockito and tested back-end data using Insomnia -NL-  External SDK: Implemented Checkout SDK to receive payments from user and Dyscan SDK for card scanning -NL-  Crash analytics: Incorporated Firebase Analytics for efficient tracking of crashes, error reporting and usage -NL-  Push notification: Used Firebase Push Messaging to instant receive notifications with custom payloads -NL-  Version control: Used Git for version control, following Gitflow process -NL-  Continuous Integration: Configured Jenkins CI pipeline and ensured any build failures were resolved -NL-  Code Reviews: Performed code reviews to ensure that any code that is merged is of a high standard -NL-  Team size: Worked in a team with three Android developers, two iOS developers and three Backend -NL- developers -NL- Responsibilities: -NL-  Replaced entire Api endpoints in the app to point to the new version -NL-  Responsible for pushing releases to Google console -NL-  Liaised with design team to ensure feasibility of user-interface -NL-  Led the implementation of incorporating Pie and Line charts -NL- **`Sr. Android Developer`[EMPLOYER_ROLE]** Kwiff October 18 – March 19 -NL- https://play.google.com/store/apps/details?id=gaming.eatongate.com.kwiffapp -NL-  Architecture: Migrated MVP to MVVM and later introduced Clean architecture -NL-  Kotlin: Assisted with the ongoing effort to transition the codebase to Kotlin -NL-  Event Bus: Leveraged RxBus to communicate between the different layers of the application -NL-  Tracking and Analysis: Introduced OptiMove to enable data analysis and event tracking -NL-  Dependency Injection: Used Dagger to enable easier testing and increase separation of concerns -NL-  UI: Designed and implemented the UI for new features -NL-  Code Reviews: Performed code reviews to ensure the integrity of the codebase and robust app performance -NL-  Network: Interacted with the backend team to implement proper protocols and data formats to aid the -NL- consumption of API data -NL-  Team: Worked with a large team of six Android developers,five iOS developers,five backend developers, six -NL- DevOps members, a UI designer and a tester and liaised with multiple product owners -NL-  Platform: Applied and modified specific behavioural changes exclusively for Android API 28 and above -NL- Responsibilities: -NL-  Led the implementation of Boosts feature – where the outcome of a bet can be altered dynamically -NL-  Designed and Implemented a new signup mechanism to increase user conversion -NL-  Worked with sockets, AWS and lower level protocols to enable efficient processing of real-time data -NL-  Resolved Firebase related dependency conflicts between Optimove and Tracker -NL- **`Sr. Android Programmer`[EMPLOYER_ROLE]** **`Mirrorcare`[EMPLOYER_COMPANY_NAME]** July 18 – September 18 -NL- App Distributed with Hardware and Not Available in Google Play -NL-  Twillio: Migrated older versions of the chat and call library to the newest versions and introduced newer -NL- features to improve video and audio calls -NL-  Codecs: Implemented H.264, VP8 and VP9 codecs to further optimise streaming performance and worked -NL- with WebRTC as well -NL-  Security: Implemented Certificate Pinning and resolved existing issues with SSL certificates -NL-  Tracking and Analysis: Used Firebase to remotely gather diagnostic data for crash analysis -NL-  Version Control: Used Git and GitKraken for Version Control -NL-  UI: Updated the UI to match modern design guidelines and focussed on Accessibility to ensure that UI and -NL- UX remains friendly to our target audience -NL-  Database: Used Realm to seamlessly persist data for offline use and enabled synchronisation protocols. -NL-  Audio: Resolved distortion issues during calls and implementedfixes for several audio-related bugs -NL-  Feedback: Used Fabric for sending the APK to different devices for installation, crash reporting and -NL- integration -NL- Responsibilities: -NL-  Worked in a pair-programming environment with the project manager tofix critical bugs -NL-  Researched mechanisms for silent updates without user interaction as the app is not listed in Google Play -NL- and targeted an elderly audience -NL-  Introduced a new image caching mechanism that constantly recycles and updates the local pool every six -NL- hours -NL-  Resolved issues with chat message synchronisation between local device and the backend -NL- **`Sr. Android Programmer`[EMPLOYER_ROLE]** **`OnTheMarket Property Search`[EMPLOYER_COMPANY_NAME]** June 17 – July 18 -NL- https://play.google.com/store/apps/details?id=com.onthemarket.mobile -NL-  Architecture: Survived configuration changes, avoid memory leaks and easily load data into your UI using -NL- LiveData, ViewModel, LifecycleObserver and LifecycleOwner -NL-  Kotlin: Migrated multiple components to Kotlin making use of the new extension functions, delegate -NL- properties and avoid Null Pointer Exceptions -NL-  RxJava: Combined, map,filter and merge multiple streams as inputs to another stream and chain async -NL- operations for property details and photos feature -NL-  Database: Pair-programmed with developer to introduce Google Room for to perform compile time checks of -NL- SQLite statements in ‘Review comprehensive property details andfloor plans to gain user story -NL-  Cloud: Performed Data modelling using Firebase for real-time database, Firebase notifications and Firebase -NL- Crash Reporting -NL-  User-Story: Design and get the API data for to access up-to-date property market information to see recently -NL- property prices -NL-  GPS: Independently incorporated Google Street View Maps SDK to perform full 360-degree view from a -NL- single location to view individual properties -NL-  CI: Used Crucible for code reviews, perform git pull request in Gitflow process. -NL-  Testing: Performed Espresso UI testing and cover 80% code coverage code coverage using Jacoco tool -NL- Responsibilities: -NL-  Collaborate in a TDD agile environment with daily stand ups with planning poker scrum technique -NL-  Was involved in the decision-making process to choose the appropriate technologies based on the -NL- requirements -NL-  Participated on the team that set the architecture structure and design patterns to be utilized in the creation -NL- of the application -NL- **`Android Developer Endomondo`[EMPLOYER_ROLE]** - **`Running & Walking`[EMPLOYER_COMPANY_NAME]** ILOct 16 – May 17 -NL- https://play.google.com/store/apps/details?id=com.endomondo.android -NL-  Pattern: Organise business logic, workflows, processes, rules in Domain layer and communicate with data/ -NL- presentation layer in MVP architecture -NL-  External API: Incorporated Google Fit SDK to access and edit the user'sfitness history with the History and -NL- Recording API -NL-  Networking: Worked on RxJava2/ Retrofit to ping API calls to the back-end server and apply map,flatmap, -NL- buffer, merge, reduce and zip functional operators -NL-  Dependency - Include Dagger 2 and Butterknife injections for loose coupling and modular code -NL-  Upgrades: Improved app compatibility on Android Orea, notification channels and background processing -NL- limits using JobService and Executors -NL-  Charts: Used AChartEngine library to plot data from backend to see monthly workout duration, speed, -NL- distance and calories -NL-  Pair Programming: Set a time, distance or calorie goal, and let our Audio Coach guide you towards it -NL-  Firebase Notifications: - Check the news feed to comment on friends’ workouts -NL-  Backend: Utilized Firebase Real-Life Database in order to remotely store information from the Realm -NL- Database enabling users to maintain their information when changing devices -NL-  JUnit: Implemented both unit and instrumented tests, utilizing JUnit, Mockito, Power Mock and Espresso to -NL- test the presenter’s functions/ method verifications in MVP -NL- Responsibilities: -NL-  Closely worked with designers/zeplin tool for vector drawables, API developers, iOS techies in an -NL- Agile/Scrum environment -NL-  Worked closely with the back-end API team tofix the structure of JSON messages and serialising JSON to -NL- back-end server -NL-  Planned layouts based on the Material Design guidelines with Designers -NL- **`Native Android Engineer`[EMPLOYER_ROLE]** **`Cuvva`[EMPLOYER_COMPANY_NAME]** Jan 16 – Sep 16 -NL- https://play.google.com/store/apps/details?id=co.cuvva.hourly&hl=en_GB -NL-  Data Binding: Work in MVVM architecture using Data Binding Library to bind UI components in layouts to -NL- data sources in using a declarative format -NL-  Parsing: Created asynchronous API calls using RxJava with RxAndroid for multithreading and Retrofit -NL- library to list items in recyclerview -NL-  External SDK: Followed documentation to include PayPal SDK and Stripe SDK to accept payments for orders -NL- over $10 -NL-  PairProgram: Created the “Login” feature using Facebook SDK and user email login through use of OAuth -NL- Authentication -NL-  External SDK: Follow documentation to include PayPal SDK and Stripe SDK to accept payments for orders -NL- over $10 -NL-  Runtime Permission: Solely resolve camera, external storage dangerous level permissions introduced in -NL- Marshmallow version -NL-  Material Design: Replaced ListView with RecyclerView, toolbar and animated 5.0 features -NL-  Push-notifications: Send targeted messages to onboard new users and increase engagement using Intercom -NL- SDK -NL-  Crash Reporting: Incorporated Crashlytics to deliver real-time, detailed crash report with Jenkins CI -NL-  Memory Management: Used Leak canary memory leak detection library and trigger GC -NL-  Analytics: Include Branch Analytics ASK to increase mobile conversion, retention, and engagement through -NL- deep linking and user routing -NL- Responsibilities: -NL-  Setup proper interactions of the front-end design and implementation with backend servers -NL-  Maintain constant communication with API, designers and iOS team to ensure the right function of the app -NL- **`Android Specialist ROMWE`[EMPLOYER_ROLE]** - **`Women's Fashion`[EMPLOYER_COMPANY_NAME]** Apr 15 – Dec 15 -NL- https://play.google.com/store/apps/details?id=com.romwe -NL-  In-app POS: Worked on Google In-app Billing and Amazon to provides checkout processing for in-app -NL- purchases to buy subscriptions -NL-  Performance: Worked with LRU Cache to increase the performance of ListView scrolling to display latest -NL- medical news data -NL-  RESTful: Parsed JSON data using HTTP client (GET, POST, DELETE, PUT) Volley library and displayed in a -NL- ListView following view holder pattern -NL-  Threads: Implemented binding services from activities and the use of communication with services using -NL- java threading for background processes and loaders -NL-  Libraries: Worked on external libraries like Picasso, Glide, OkHttp, Joda, Charles proxy and GreenDAO -NL-  CustomView: Create a customview to display latest offers in view pager on home screen -NL-  Multithreading: Included Intentservices, DownlaodManager and Handlers for background downloads of data -NL-  Synchronizartion: Store data from backend server locally to GreenDAO database with SQLCipher encryption -NL-  Animation: Coded View and Property animation to show new products which scrolling -NL-  Testing: Provided Unit/Integration testing (Robolectric/Robotium) and usability testing -NL- Responsibilities: -NL-  Bugfixing and improving application performance -NL-  Rapidly create prototypes, synthesise feedback and develop a production quality apps -NL-  Responsible for deciding the specific libraries and dependencies under an MVP architecture. -NL- **`Mobile App Developer`[EMPLOYER_ROLE]** Payday Loans UK - Calculator Mar 14- May 15 -NL- https://play.google.com/store/apps/details?id=com.paydayloans -NL-  Animation: Worked with NineOldAndroids library for include animating rotation, translation, alpha and scale -NL-  Optimised caching – Implemented Disk-based LRU cache which specifically targets Android compatibility for -NL- accessingfilesystem. -NL-  Fragmentation – Optimised UI for different android versions and devices. -NL-  RESTful: Parsed JSON data using HTTP client (GET, POST, DELETE, PUT) Volley library and displayed in a -NL- ListView following ViewHolder pattern -NL-  User-story: Worked on UK Cash Advance loan calculator algorithm in extreme programming way -NL-  Security: Worked on securing the network traffic with Certificate Pinning to verify identity of the Host via SSL -NL- handshake along with AES encryption principle -NL-  Data-Serialization: Created an interface that defines parsing functionality provided in XMLPULL V1 API -NL-  Bolts: Called complex asynchronous code more manageable by using Bolts framework -NL- Responsibilities -NL-  Liaise closely with the designers to polish the old User-interface -NL-  Build scalable apps across multiple platforms and device resolution -NL- **`Education`[EDUCATION_HEADING]** -NL- **`B.A`[EDUCATION_DEGREE]**. Degree in -NL- **`Post Graduate`[EDUCATION_DEGREE]** in -NL- Software Development -NL- **`Information System`[EDUCATION_COURSE]** -NL- **`Developmental Studies`[EDUCATION_COURSE]** -NL- Professional Program -NL- **`Addis Ababa University`[EDUCATION_INSTITUTE]** -NL- Leuven University -NL- JUST IT -NL- August 2009 -NL- January 2013 -NL- August 2015 -NL- **`Key Skills`[SKILLS_HEADING]** -NL- Tech -NL- Related -NL- Personal -NL- Architecture -NL- Material Design -NL- **`Leadership`[SKILLS_HEADING]** -NL- Java -NL- Multithreading -NL- Social -NL- TDD -NL- GitFlow -NL- Mentor -NL- Security -NL- Kotlin -NL- Agile -NL- Dependency Injection -NL- Reactive Programming -NL- Communication -NL- 